# Saved Searches Saved Searches ## Creates a new saved search record that does not already exist. - [POST /savedSearches/{tenantId}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/createsavedsearch.md): This method will auto-generate an ID and create a new saved search. If an ID is specified for the saved search, an error will be thrown. ## Returns a list of records with the specified service_access_group - [GET /savedSearches/{tenantId}/available/{service}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/listallavailablesearchesforuser.md): Returns a list of records with the specified service_access_group ## Execute Batch Operations - [POST /savedSearches/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a saved search from the system by its ID. - [DELETE /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/deletesavedsearch.md): This method will delete a saved search with the specified ID. ## Returns a saved search from the system by its ID. - [GET /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/getsavedsearch.md): This method will look up a saved search by the specified ID and return it back. ## Partially updates a saved search with the specified ID. - [PATCH /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/patchsavedsearch.md): This method will patch an existing saved search with the specified ID, using the HTTP PATCH specification. ## Updates a saved search with the specified ID. - [PUT /savedSearches/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/platform/platform-v1/saved-searches/updatesavedsearch.md): This method will update an existing saved search with the specified ID.